.playfair-display-400 {
  font-family: "Playfair Display", serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}
.playfair-display-500 {
  font-family: "Playfair Display", serif;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: normal;
}
.playfair-display-700 {
  font-family: "Playfair Display", serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-style: normal;
}

.poppins-light {
  font-family: "Poppins", sans-serif;
  font-weight: 300;
  font-style: normal;
}
.poppins-bold {
  font-family: "Poppins", sans-serif;
  font-weight: 700;
  font-style: normal;
}

:root {
    --primary: #499a71;
    --secondary: #9B4946;
    --bg-white: #FFFFFF;
    --bg-dark: #0d1927;
    --grey: #dddddd;
    --lightgrey: #eeeeee5e;
}

body {
    margin: 0;
    padding: 0;
    background: var(--bg-white);
    font-family: "Poppins", sans-serif;
    font-weight: 300;
    font-size: 15px;
    color: var(--bg-dark);

    strong, b {
        font-family: "Poppins", sans-serif;
        font-weight: 700;
    }
}

h1, h2, h3, h4, h5, h6 {
    display: flex;
    flex-direction: column;
    width: 100%;
    font-family: "Playfair Display", serif;
    font-weight: bold;
    margin: 0 0 20px;
}

h1 {
    font-size: 72px;
    line-height: 82px;
    span {
        font-size: 45px;
        line-height: 45px;
        font-weight: 400;
        text-transform: uppercase;
    }
}
h2 {
    font-size: 64px;
    line-height: 74px;
    span {
        font-size: 40px;
        line-height: 40px;
        font-weight: 400;
        text-transform: uppercase;
    }
}
h3 {
    font-size: 50px;
    line-height: 60px;
    span {
        font-size: 30px;
        line-height: 30px;
        font-weight: 400;
        text-transform: uppercase;
    }
}
h4 {
    font-size: 30px;
    line-height: 40px;
}
h5 {
    font-size: 30px;
    line-height: 40px;
}
h6 {
    font-size: 25px;
    line-height: 35px;
}

p {
    display: block;
    width: 100%;
    margin: 0 0 20px;
}

img {
    max-width: 100%;
}


.button {
    background: var(--primary);
    border: 2px solid var(--primary);
    color: var(--bg-white);
    display: inline-flex;
    padding: 15px 25px;
    border-radius: 100px;
    text-transform: uppercase;
    text-decoration: none;
    font-family: "Poppins", sans-serif;
    font-weight: 700;

    &:hover {
        background: var(--bg-white);
        border-color: var(--bg-white);
        color: var(--primary);
    }
}

.container {
    display: flex;
    width: 100%;
    max-width: 1400px;
    margin: 0 auto;
    padding: 0 10px;
    box-sizing: border-box;
}

header.header {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    background: var(--bg-white);
    /* box-shadow: 0 0 5px var(--grey); */
    
    .headercontainer {
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 12px;
        width: 100%;
        .logo {
            display: flex;
            max-width: 180px;
            text-decoration: none;
            img {
                display: inline-flex;
                max-width: 100%;
            }
        }

        span.mobmenu {
            display: flex;
            flex-direction: column;
            margin-right: 10px;
            cursor: default;
            position: relative;
            z-index: 9999;
            
            span {
                display: flex;
                background: var(--bg-dark);
                border-radius: 10px;
                width: 36px;
                height: 5px;
                margin-top: 5px;
                position: relative;
                transition: all 500ms ease;

                &:first-child {
                    margin-top: 0;
                }
            }

            &.active {
                span {
                    background: var(--bg-white);
                    &:nth-child(1) {
                        transform: rotate(45deg);
                        top: 10px;
                        transition: all 500ms ease;
                    }
                    &:nth-child(2) {
                        opacity: 0;
                    }
                    &:nth-child(3) {
                        transform: rotate(-45deg);
                        bottom: 10px;
                        transition: all 500ms ease;
                    }
                }
            }
        }


        nav {
            display: flex;
            flex-direction: column;
            align-items: flex-start;
            justify-content: flex-start;
            padding: 150px;
            box-sizing: border-box;
            background: var(--bg-dark);
            color: var(--bg-white);
            position: fixed;
            top: 0;
            right: -100%;
            bottom: 0;
            width: 100vw;
            height: 100vh;
            z-index: 99;
            transition: all 500ms ease;

            li{
                display: flex;
                align-items: flex-start;
                justify-content: flex-start;
                padding: 20px 0;
                list-style: none;
                opacity: 0;
                transform: translateX(-50px);
                transition: all 0.5s ease;

                a {
                    display: inline-flex;
                    text-decoration: none;
                    font-size: 30px;
                    line-height: 40px;
                    color: var(--bg-white);
                    font-weight: 300;
                    transition: all 500ms ease;
                }
            }

            &.active {
                right: 0;
                transition: all 500ms ease;
                li{
                    opacity: 1;
                    transform: translateX(0);
                    

                    &:nth-child(1){ 
                        transition-delay: 0.2s; 
                    }
                    &:nth-child(2){ 
                        transition-delay: 0.3s; 
                    }
                    &:nth-child(3){ 
                        transition-delay: 0.4s; 
                    }

                    a {
                        &:hover {
                            line-height: 40px;
                            font-weight: bold;
                            transition: all 500ms ease;
                        }
                    }
                }
            }
        }


    }
}


.herosection {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
    background: var(--bg-dark);
    width: 100vw;
    height: calc(100vh - 196px);
    min-height: 600px;
    overflow: hidden;
    
    picture {
        display: flex;
        width: 100%;
        height: auto;
        object-fit: cover;
        object-position: center;
        position: relative;
        z-index: 8;

        img {
            display: flex;
            width: 100%;
            height: auto;
            object-fit: cover;
            object-position: center;
        }
    }

    .homehero {
        position: absolute;
        bottom: 0;
        right: -100%;
        z-index: 9;
        height: 100%;
        transition: all 1s ease;
    }

    .iconlogo {
        position: absolute;
        right: 24%;
        top: 0;
        bottom: 0;
        margin: auto;
        width: 150px;
        height: 150px;
        opacity: 1;
        z-index: 10;
        background: url(./../images/iconlogo.png) no-repeat center center;
        background-size: 100% 100%;
        transform: scale(0);
        transition-delay: 1s;
        transition: all 1s ease;
    }

    .herocontent {
        display: flex;
        align-items: flex-start;
        justify-content: flex-start;
        flex-direction: column;
        height: 270px;
        position: absolute;
        left: -100%;
        top: 0;
        bottom: 0;
        margin: auto;
        z-index: 10;
        padding: 50px;
        color: var(--bg-white);
        background: var(--secondary);
        max-width: 760px;
        transition: all 1s ease;
    }

    &.view {
        .homehero {
            right: -15%;
            transition: all 1s ease;
        }  
        .herocontent {
            left: 0%;
            transition: all 1s ease;
        }
        .iconlogo {
            transform: scale(1);
            transition: all 1s ease;
        }
    }
    
}


.sectype {
    display: block;
    padding: 100px 0;
    width: 100%;
    overflow: hidden;
    .container {
        display: flex;
        align-items: center;
        justify-content: space-between;
        gap: 80px;
        padding: 0 15px;
        margin: 0 auto;
        width: 100%;
        max-width: 1374px;

        .leftimg {
            display: flex;
            width: 100%;
            position: relative;
            left: -100%;
        }
        .rightheadcontent {
            display: flex;
            flex-direction: column;
            width: 100%;
            position: relative;
            right: -100%;

            h2 {
                color: var(--secondary);

                span {
                    color: var(--bg-dark);
                }
            }
        }
    }

    &.view {
        .leftimg {
            left: 0;
            transition: all 1s ease;
        }
        .rightheadcontent {
            right: 0;
            transition: all 1s ease;
        }
    }
}

.abountsec {
    .container {
        position: relative;

        .iconlogo2 {
            position: absolute;
            left: 597px;
            top: 5px;
            margin: auto;
            width: 100px;
            height: 100px;
            opacity: 1;
            z-index: 10;
            background: url(./../images/iconlogo2.png) no-repeat center center;
            background-size: 100% 100%;
            transform: scale(0);
            transition-delay: 1s;
            transition: all 1s ease;
            
            &::before {
                position: absolute;
                top: -6px;
                left: -6px;
                width: 108px;
                height: 108px;
                border-radius: 200px;
                border: 2px dashed var(--primary);
                content: "";
                background-size: 100% 100%;
                animation: rotate 5s linear infinite;
            }
        }
    }

    &.view {
        .iconlogo2 {
            transform: scale(1);
            transition: all 1s ease;
        }
    }
}

@keyframes rotate {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}


.whychoosesec {
    background: url(./../images/whychoosebg.jpg) no-repeat top center var(--primary);
    text-align: center;
    color: var(--bg-white);
    padding-bottom: 180px;
    position: relative;
    top: 100px;
    opacity: 0;
    transition: all 1s ease;
    .container {
        justify-content: center;

        p {
            max-width: 612px;
            margin: 0 auto;
        }
    }

    &.view {
        top: 0;
        opacity: 1;
        transition: all 1s ease;
    }
}

section.servicelist {
    padding-top: 0;
    margin-top: -120px;

    .container {
        display: flex;
        align-items: center;
        justify-content: center;
        text-align: center;
        color: var(--bg-white);
        gap: 20px;

        .servcol {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: flex-start;
            padding: 231px 30px 30px;
            background: var(--secondary);
            height: 415px;
            border-radius: 300px 300px 0 0;
            box-sizing: border-box;
            overflow: hidden;
            width: 100%;
            top: 300px;
            transition: all 1s ease;

            &::before {
                position: absolute;
                bottom: 0;
                left: 0;
                right: 0;
                width: 0;
                height: 0;
                border-radius: 200px;
                content: "";
                background: var(--secondary);
                z-index: 991;
            }

            img {
                position: relative;
                z-index: 995;
                margin: 0 0 20px;
                opacity: 0;
                transition: all 1s ease;
            }

            h5 {
                font-family: "Poppins", sans-serif;
                font-size: 18px;
                line-height: 22px;
                font-weight: 500;
                text-transform: uppercase;
                letter-spacing: 1px;
                margin: 0 0 10px;
                height: 44px;
                position: relative;
                z-index: 995;
            }
            p {
                margin-bottom: -100%;
                opacity: 0;
                position: relative;
                z-index: 995;
            }

            &.serv1 {
                position: relative;
                background: url(./../images/service1.png) no-repeat;
                background-size: cover;
                &::after {
                    position: absolute;
                    bottom: 0;
                    left: 0;
                    right: 0;
                    width: 100%;
                    height: 100%;
                    content: "";
                    background: #0D1225;
                    background: linear-gradient(0deg,rgba(13, 18, 37, 1) 0%, rgba(13, 18, 37, 0) 100%);
                }
            }
            &.serv2 {
                position: relative;
                background: url(./../images/service2.png) no-repeat;
                background-size: cover;
                &::after {
                    position: absolute;
                    bottom: 0;
                    left: 0;
                    right: 0;
                    width: 100%;
                    height: 100%;
                    content: "";
                    background: #0D1225;
                    background: linear-gradient(0deg,rgba(13, 18, 37, 1) 0%, rgba(13, 18, 37, 0) 100%);
                }
            }
            &.serv3 {
                position: relative;
                background: url(./../images/service3.png) no-repeat;
                background-size: cover;
                &::after {
                    position: absolute;
                    bottom: 0;
                    left: 0;
                    right: 0;
                    width: 100%;
                    height: 100%;
                    content: "";
                    background: #0D1225;
                    background: linear-gradient(0deg,rgba(13, 18, 37, 1) 0%, rgba(13, 18, 37, 0) 100%);
                }
            }
            &.serv4 {
                position: relative;
                background: url(./../images/service4.png) no-repeat;
                background-size: cover;
                &::after {
                    position: absolute;
                    bottom: 0;
                    left: 0;
                    right: 0;
                    width: 100%;
                    height: 100%;
                    content: "";
                    background: #0D1225;
                    background: linear-gradient(0deg,rgba(13, 18, 37, 1) 0%, rgba(13, 18, 37, 0) 100%);
                }
            }

            &:hover {
                position: relative;
                padding: 80px 30px 30px;
                transition: all 1s ease;

                &::before {
                    width: 600px;
                    height: 600px;
                    transition: all 1s ease;
                }

                img {
                    opacity: 1;
                    transition: all 1s ease;
                }
                 
                p {
                    display: block;
                    opacity: 1;
                    transition: all 1s ease;
                }
            }
        }
    }

    &.view {
        .container {
            .servcol {
                top: 0;
                transition: all 1s ease;
            }
            
        }
    }
}





@media (max-width: 1441px) {

    .herosection {
        .iconlogo {
            width: 100px;
            height: 100px;
            right: 21%;
        }
    }

    



}

@media (max-width: 1367px) {

    .herosection {
        .iconlogo {
            right: 23%;
        }
    }



}
@media (max-width: 1281px) {

    .herosection {
        .iconlogo {
            right: 25%;
        }
    }



}
